Bug 1835507 - DejaVu font issue
Summary: DejaVu font issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: marsshooter
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1806272
TreeView+ depends on / blocked
 
Reported: 2020-05-13 23:19 UTC by Bruno Wolff III
Modified: 2020-05-23 02:50 UTC (History)
3 users (show)

Fixed In Version: marsshooter-0.7.6-15.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-23 02:44:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruno Wolff III 2020-05-13 23:19:06 UTC
It looks like your package uses DejaVu fonts in a way that might be affected by changes to the way DejaVu fonts are packaged. As a temporary measure symlinks were added so that the old paths would still work in f32.  However, they are going to be removed in f33 and you will want to make sure your package will work there. Typically the issue does not result in obvious build errors, but rather problems will show up at run time.

One way to work around this issue is to make finding the font paths more automated at build time. This can be done using fontconfig to search for fonts installed in the build root and use the returned path to create symlinks.

So you might use something like the following to set up the build environment:

%global fonts font(dejavusans)
BuildRequires: fontconfig %{fonts}
Requires: %{fonts}

Then in the install section you might use something like the following to create the symlinks:

pushd $RPM_BUILD_ROOT
ln -f -s $(fc-match -f "%{file}" "sans") \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/sans.ttf
popd

There is additional information in a bug covering the DevaVu change (bug 1806272) and an example fix discussed in a hedgewars bug (bug 1823360).

Comment 1 Bruno Wolff III 2020-05-14 05:40:35 UTC
Related to this the system Waree font is an otf font, where as the supplied one was a ttf font. So a little extra tweaking was needed.

Comment 2 Fedora Update System 2020-05-14 05:41:40 UTC
FEDORA-2020-54e8b312ba has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-54e8b312ba

Comment 3 Fedora Update System 2020-05-14 05:42:57 UTC
FEDORA-2020-f16d8fbb95 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f16d8fbb95

Comment 4 Fedora Update System 2020-05-15 04:31:11 UTC
FEDORA-2020-f16d8fbb95 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f16d8fbb95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f16d8fbb95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-05-15 05:10:01 UTC
FEDORA-2020-54e8b312ba has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-54e8b312ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-54e8b312ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-23 02:44:11 UTC
FEDORA-2020-f16d8fbb95 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-05-23 02:50:53 UTC
FEDORA-2020-54e8b312ba has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.